package classexplorer.panel;

/*
 * Panel pour afficher les constructeurs de la classe
 */

import javax.swing.*;
import java.awt.*;
import java.util.ArrayList;
import classexplorer.reflect.ClassConstructors;

public class ClassConstructorsPanel extends JPanel {

    /* Attributs privés */
    private ClassConstructors classConstructors;

    /* Constructeur */
    public ClassConstructorsPanel() {
        this.setBackground(Color.WHITE);
    }

    /* Cherche les constructeurs de la classe */
    public void findInformations(Class c) throws ClassNotFoundException{
        classConstructors = new ClassConstructors(c);
        ArrayList<String> constructorList = classConstructors.getConstructorList();
        DefaultListModel listModel = new DefaultListModel();
        JList list = new JList(listModel);
        for (String str : constructorList) {
            listModel.addElement(str);
        }
        
        this.setLayout(new BorderLayout());this.setBackground(Color.WHITE);this.setForeground(Color.white);
        this.add(new JScrollPane(list), BorderLayout.CENTER);
        this.revalidate();
    }
}