package classexplorer.panel;

/*
 * Panel pour afficher les attributs de la classe recherchée
 */

import javax.swing.*;
import java.awt.*;
import java.util.ArrayList;
import classexplorer.reflect.ClassFields;

public class ClassFieldsPanel extends JPanel {

    /* Attributs privés */
    private ClassFields classFields;

    /* Constructeur */
    public ClassFieldsPanel() {
        this.setBackground(Color.WHITE);
    }

    /* Cherche les attributs de la classe */
    public void findInformations(Class c) throws ClassNotFoundException{
        classFields = new ClassFields(c);
        ArrayList<String> fieldsList = classFields.getFieldsList();
        DefaultListModel listModel = new DefaultListModel();
        JList list = new JList(listModel);
        for (String str : fieldsList) {
            listModel.addElement(str);
        }
        this.setLayout(new BorderLayout());
        this.add(new JScrollPane(list), BorderLayout.CENTER);
        this.revalidate();
    }
}